Subject: Re: [PATCH net] net: ftgmac100: Disable hardware checksum on AST2600

From: Andrew Lunn <[email-masked]>
Date: Fri, 29 Apr 2022 03:40:05 +0200

On Fri, Apr 29, 2022 at 01:35:43AM +0000, Joel Stanley wrote:
> On Fri, 29 Apr 2022 at 01:02, Andrew Lunn <[email-masked]> wrote:
> >
> > > Fixes: 39bfab8844a0 ("net: ftgmac100: Add support for DT phy-handle property")
> > > Reported-by: David Wilder <[email-masked]>
> > > Signed-off-by: Joel Stanley <[email-masked]>
> > > ---
> > > Net maintainers, if no one has a counter proposal I would like this
> > > merged as a fix. Please give Dylan from Aspeed a chance to reply before
> > > applying the patch.
> >
> > What has phy-handle got to do with this? You might want to add an
> > explanation why you picked that as a Fixes: commit, if it is in fact
> > correct.
> 
> If you have a look at that commit, you can see that was where ast2600
> support was added to the driver.

O.K, so please do add an explanation, because it is not obvious. I'm
partially to blame, i should of asked for that patch to be split in
two.

     Andrew